Debian Bug report logs - #449437
swi-prolog: please package jpl

version graph

Package: swi-prolog; Maintainer for swi-prolog is Євгеній Мещеряков <eugen@debian.org>; Source for swi-prolog is src:swi-prolog.

Reported by: Torsten Werner <twerner@debian.org>

Date: Mon, 5 Nov 2007 20:21:01 UTC

Severity: wishlist

Found in version swi-prolog/5.6.14-1

Fixed in version swi-prolog/5.6.63-1

Done: Chris Lamb <lamby@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, twerner@debian.org, Gerardo Curiel <gcuriel@debianvenezuela.org>:
Bug#449437; Package swi-prolog. Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
New Bug report received and forwarded. Copy sent to twerner@debian.org, Gerardo Curiel <gcuriel@debianvenezuela.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: swi-prolog: please package jpl
Date: Mon, 5 Nov 2007 21:19:01 +0100
Package: swi-prolog
Version: 5.6.14-1
Severity: normal

Hi,

jpl is needed as Build-Depends for packaging jbossas4. Please package
this jar file.

Thanks,
Torsten




Severity set to `wishlist' from `normal' Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Sun, 09 Dec 2007 02:24:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#449437; Package swi-prolog. Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <chris@chris-lamb.co.uk>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 449437@bugs.debian.org (full text, mbox):

From: Chris Lamb <chris@chris-lamb.co.uk>
To: 449437@bugs.debian.org
Subject: Re: swi-prolog: please package jpl
Date: Tue, 12 Feb 2008 15:17:35 +0000
[Message part 1 (text/plain, inline)]
Hi Torsten,

I had a small attempt at trying to compile the JPL Swi-Prolog package of
last night, but could only get configure to complete successfully when
using Sun's JVM implementation.

Have you tried using other JVMs with JPL at all? I would not be
particulary keen on adding sun-java{5,6}-jdk as a Build-Depend, as it
would move the package into the contrib section.


Regards,

-- 
Chris Lamb, UK                                       chris@chris-lamb.co.uk
                                                            GPG: 0x634F9A20
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lamb <chris@chris-lamb.co.uk>:
Bug#449437; Package swi-prolog. (Thu, 20 Nov 2008 13:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Lamb <chris@chris-lamb.co.uk>. (Thu, 20 Nov 2008 13:48:02 GMT) Full text and rfc822 format available.

Message #17 received at 449437@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: Chris Lamb <chris@chris-lamb.co.uk>, 449437@bugs.debian.org
Subject: #449437 swi-prolog: please package jpl
Date: Thu, 20 Nov 2008 14:47:04 +0100
[Message part 1 (text/plain, inline)]
Hello Chris,

openjdk is in lenny/sid and in main. Building it against openjdk would
solve this bug, or do you see another problem?

thx.


-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lamb <chris@chris-lamb.co.uk>:
Bug#449437; Package swi-prolog. (Thu, 20 Nov 2008 14:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Lamb <chris@chris-lamb.co.uk>. (Thu, 20 Nov 2008 14:24:06 GMT) Full text and rfc822 format available.

Message #22 received at 449437@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: Noèl Köthe <noel@debian.org>, 449437@bugs.debian.org
Subject: Re: Bug#449437: #449437 swi-prolog: please package jpl
Date: Thu, 20 Nov 2008 14:20:56 +0000
[Message part 1 (text/plain, inline)]
Noèl Köthe wrote:

> openjdk is in lenny/sid and in main. Building it against openjdk would
> solve this bug, or do you see another problem?

Nope, this should Just Work now. (However it will miss lenny.) Thanks
for the poke.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Lamb <chris@chris-lamb.co.uk>:
Bug#449437; Package swi-prolog. (Tue, 30 Dec 2008 00:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Lamb <chris@chris-lamb.co.uk>. (Tue, 30 Dec 2008 00:33:02 GMT) Full text and rfc822 format available.

Message #27 received at 449437@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: Noèl Köthe <noel@debian.org>, 449437@bugs.debian.org
Subject: Re: Bug#449437: #449437 swi-prolog: please package jpl
Date: Tue, 30 Dec 2008 00:30:35 +0000
[Message part 1 (text/plain, inline)]
tags 449437 +pending
thanks

> openjdk is in lenny/sid and in main. Building it against openjdk would
> solve this bug, or do you see another problem?

Just uploading now; it will hit NEW due to addition of swi-prolog-jpl binary
package.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Chris Lamb <lamby@debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 00:33:04 GMT) Full text and rfc822 format available.

Reply sent to Chris Lamb <lamby@debian.org>:
You have taken responsibility. (Thu, 01 Jan 2009 13:09:04 GMT) Full text and rfc822 format available.

Notification sent to Torsten Werner <twerner@debian.org>:
Bug acknowledged by developer. (Thu, 01 Jan 2009 13:09:04 GMT) Full text and rfc822 format available.

Message #34 received at 449437-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: 449437-close@bugs.debian.org
Subject: Bug#449437: fixed in swi-prolog 5.6.63-1
Date: Thu, 01 Jan 2009 12:55:08 +0000
Source: swi-prolog
Source-Version: 5.6.63-1

We believe that the bug you reported is fixed in the latest version of
swi-prolog, which is due to be installed in the Debian FTP archive:

swi-prolog-clib_5.6.63-1_amd64.deb
  to pool/main/s/swi-prolog/swi-prolog-clib_5.6.63-1_amd64.deb
swi-prolog-http_5.6.63-1_amd64.deb
  to pool/main/s/swi-prolog/swi-prolog-http_5.6.63-1_amd64.deb
swi-prolog-jpl_5.6.63-1_amd64.deb
  to pool/main/s/swi-prolog/swi-prolog-jpl_5.6.63-1_amd64.deb
swi-prolog-odbc_5.6.63-1_amd64.deb
  to pool/main/s/swi-prolog/swi-prolog-odbc_5.6.63-1_amd64.deb
swi-prolog-semweb_5.6.63-1_amd64.deb
  to pool/main/s/swi-prolog/swi-prolog-semweb_5.6.63-1_amd64.deb
swi-prolog-sgml_5.6.63-1_amd64.deb
  to pool/main/s/swi-prolog/swi-prolog-sgml_5.6.63-1_amd64.deb
swi-prolog-table_5.6.63-1_amd64.deb
  to pool/main/s/swi-prolog/swi-prolog-table_5.6.63-1_amd64.deb
swi-prolog-xpce_5.6.63-1_amd64.deb
  to pool/main/s/swi-prolog/swi-prolog-xpce_5.6.63-1_amd64.deb
swi-prolog_5.6.63-1.diff.gz
  to pool/main/s/swi-prolog/swi-prolog_5.6.63-1.diff.gz
swi-prolog_5.6.63-1.dsc
  to pool/main/s/swi-prolog/swi-prolog_5.6.63-1.dsc
swi-prolog_5.6.63-1_amd64.deb
  to pool/main/s/swi-prolog/swi-prolog_5.6.63-1_amd64.deb
swi-prolog_5.6.63.orig.tar.gz
  to pool/main/s/swi-prolog/swi-prolog_5.6.63.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 449437@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <lamby@debian.org> (supplier of updated swi-prolog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Dec 2008 22:07:04 +0000
Source: swi-prolog
Binary: swi-prolog swi-prolog-clib swi-prolog-jpl swi-prolog-http swi-prolog-semweb swi-prolog-sgml swi-prolog-table swi-prolog-odbc swi-prolog-xpce
Architecture: source amd64
Version: 5.6.63-1
Distribution: unstable
Urgency: low
Maintainer: Chris Lamb <lamby@debian.org>
Changed-By: Chris Lamb <lamby@debian.org>
Description: 
 swi-prolog - ISO/Edinburgh-style Prolog interpreter
 swi-prolog-clib - SWI-Prolog interface to system libraries
 swi-prolog-http - HTTP libraries for SWI-Prolog
 swi-prolog-jpl - Bidirectional interface between SWI-Prolog and Java
 swi-prolog-odbc - ODBC library for SWI-Prolog
 swi-prolog-semweb - SWI-Prolog library for manipulating RDF triples
 swi-prolog-sgml - SGML/XML/HTML parser for SWI-Prolog
 swi-prolog-table - External table library for SWI-Prolog
 swi-prolog-xpce - User interface library for SWI-Prolog
Closes: 449437
Changes: 
 swi-prolog (5.6.63-1) unstable; urgency=low
 .
   * New upstream release.
   * Build the JPL (bidirectional Java interface) library in the swi-prolog-jpl
     binary package now that OpenJDK is in main. (Closes: #449437)
     - Remove 01_not_jpl_package.dpatch
     - Add Build-Depends on openjdk-6-jdk
     - Add convenience symlink from /usr/share/java/jpl.jar
   * Don't play Hanoi in clean target anymore with some (required) files that
     upstream was cleaning - change merged upstream.
   * New maintainer email address.
Checksums-Sha1: 
 2bb2d85cb96336e59be1617b563b3e3156566ee2 1447 swi-prolog_5.6.63-1.dsc
 d2b94f1f90b76d42e78bfeb90c8285c3faf56d5c 12015074 swi-prolog_5.6.63.orig.tar.gz
 d3226d9c857bb32c0b98dfc19a023155e7e8f5a6 13240 swi-prolog_5.6.63-1.diff.gz
 b2461910650f2e38708361fc7555ac36a952d889 2654448 swi-prolog_5.6.63-1_amd64.deb
 92df68ec5ef631d5e11cb7cc99f69f49fdb4313c 106164 swi-prolog-clib_5.6.63-1_amd64.deb
 2f407c1476bebb0c1dd5e4cf7ec2bc7d216fead4 520814 swi-prolog-jpl_5.6.63-1_amd64.deb
 9a57c441f70e6847202b9f3441f8bd61c7aaddd9 94014 swi-prolog-http_5.6.63-1_amd64.deb
 11daf72277e4294436d2c472dc5675b94bf33d94 143062 swi-prolog-semweb_5.6.63-1_amd64.deb
 f714ad5871b441ee05de8ec27adbbb69243c9ab8 152334 swi-prolog-sgml_5.6.63-1_amd64.deb
 5bd36028460dac4b10c3b98a10f8931ed86ba772 38042 swi-prolog-table_5.6.63-1_amd64.deb
 b47508812c293c05938c9fd1395367ffe5be5051 35808 swi-prolog-odbc_5.6.63-1_amd64.deb
 97f3357160cdde401ee19f347487ee2e20c8dce4 3157124 swi-prolog-xpce_5.6.63-1_amd64.deb
Checksums-Sha256: 
 6b118278a651d0c6cb4ec246278a35939fc5ab621685c2aa9a894d14b4cc7710 1447 swi-prolog_5.6.63-1.dsc
 b068ab6b323c0d0282bbb5e13689e77f6e598eb9ebb6365d92c58d8696e1c3e6 12015074 swi-prolog_5.6.63.orig.tar.gz
 fce5cd065a8eb5f51f609c56108e8275aa6bfe6fc3ec58f5a1ce212503ea6709 13240 swi-prolog_5.6.63-1.diff.gz
 afe5b23f6aa6aaaef728e2d0b87411353230a697fe5626d2711434924c4db563 2654448 swi-prolog_5.6.63-1_amd64.deb
 e009add1fb04aaaec72c1b88bd6a59c114e59fa21fcc39eb7d5f4ca613d2360f 106164 swi-prolog-clib_5.6.63-1_amd64.deb
 0879d3aa822ff492b9d3d61254157258ddf735453ca9e15802182669952d9046 520814 swi-prolog-jpl_5.6.63-1_amd64.deb
 8c2313e2a822a56e6a08de9906644a1fd4ddf62932283633d9e576d3ed6da1e2 94014 swi-prolog-http_5.6.63-1_amd64.deb
 a48a31be9a669815ae5411060810cab230e27ba914234747fc511b9956ad2c66 143062 swi-prolog-semweb_5.6.63-1_amd64.deb
 50d0a2ca5abf310aec6c22588cf01274a0a2e1360408b4f4382983775e5a5379 152334 swi-prolog-sgml_5.6.63-1_amd64.deb
 fbaa3fb581cb73585532cf7dd31e6179e4a56a3d0fede891344542f4b228d338 38042 swi-prolog-table_5.6.63-1_amd64.deb
 3670248fb0f42b64cdc293227b9cfe0cb4c49f4b177a828601a27af36916c5b0 35808 swi-prolog-odbc_5.6.63-1_amd64.deb
 d405d155d9c26c6095291606c4394218ff570f9e136cb8e75bcaec75b752cc4a 3157124 swi-prolog-xpce_5.6.63-1_amd64.deb
Files: 
 b81a623dcbd9e946a91f7850598b6455 1447 interpreters optional swi-prolog_5.6.63-1.dsc
 4efffb1f7280080182fc5417bbce4010 12015074 interpreters optional swi-prolog_5.6.63.orig.tar.gz
 5fcbc7f08718783b9d7efae99f4a03a7 13240 interpreters optional swi-prolog_5.6.63-1.diff.gz
 6477a2b92817246e3d6dcf90592ae37f 2654448 interpreters optional swi-prolog_5.6.63-1_amd64.deb
 09d1ede2a2af81895d7cc477b3b14dcf 106164 interpreters optional swi-prolog-clib_5.6.63-1_amd64.deb
 638f303c7374751d1c1517ab0ad44fc7 520814 interpreters optional swi-prolog-jpl_5.6.63-1_amd64.deb
 c28dd172196f779473705e6f0ff415cf 94014 interpreters optional swi-prolog-http_5.6.63-1_amd64.deb
 6c356c4dacdfd881f4b9599df1942c2f 143062 interpreters optional swi-prolog-semweb_5.6.63-1_amd64.deb
 cd71fd9e2381abd4eb6b6285219a3000 152334 interpreters optional swi-prolog-sgml_5.6.63-1_amd64.deb
 0eb2a7552564330d682ff4547fd2bb29 38042 interpreters optional swi-prolog-table_5.6.63-1_amd64.deb
 17d366a29cf2be9820aa69d0a315a8dd 35808 interpreters optional swi-prolog-odbc_5.6.63-1_amd64.deb
 cc53fd1ecad499f96c9eea7437a8ecb2 3157124 interpreters optional swi-prolog-xpce_5.6.63-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklZaaIACgkQ5/8uW2NPmiAo/gCdGjWr/TywviTGCmBpF8XdfQFi
jtkAn0R9utIKGMNMQF5gaSBf2u/3fGKA
=Nqpr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:40:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:07:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.